Skip to main content
PATCH
/
v1
/
workflows
/
{workflow_uuid}
Patch Workflow
curl --request PATCH \
  --url https://api.example.com/v1/workflows/{workflow_uuid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "workflow_type": "<string>",
  "indicator_types": [
    "<string>"
  ],
  "code": "<string>",
  "state": "<string>",
  "timeout_seconds": 123,
  "retry_count": 123,
  "is_active": true,
  "tags": [
    "<string>"
  ],
  "time_saved_minutes": 123,
  "approval_mode": "<string>",
  "approval_channel": "<string>",
  "approval_timeout_seconds": 123,
  "risk_level": "<string>",
  "documentation": "<string>"
}
'
import requests

url = "https://api.example.com/v1/workflows/{workflow_uuid}"

payload = {
"name": "<string>",
"workflow_type": "<string>",
"indicator_types": ["<string>"],
"code": "<string>",
"state": "<string>",
"timeout_seconds": 123,
"retry_count": 123,
"is_active": True,
"tags": ["<string>"],
"time_saved_minutes": 123,
"approval_mode": "<string>",
"approval_channel": "<string>",
"approval_timeout_seconds": 123,
"risk_level": "<string>",
"documentation": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workflow_type: '<string>',
indicator_types: ['<string>'],
code: '<string>',
state: '<string>',
timeout_seconds: 123,
retry_count: 123,
is_active: true,
tags: ['<string>'],
time_saved_minutes: 123,
approval_mode: '<string>',
approval_channel: '<string>',
approval_timeout_seconds: 123,
risk_level: '<string>',
documentation: '<string>'
})
};

fetch('https://api.example.com/v1/workflows/{workflow_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "workflow_type": "<string>",
    "indicator_types": [
      "<string>"
    ],
    "state": "<string>",
    "code_version": 123,
    "is_active": true,
    "is_system": true,
    "tags": [
      "<string>"
    ],
    "time_saved_minutes": 123,
    "approval_mode": "<string>",
    "risk_level": "<string>",
    "documentation": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "code": "<string>",
    "timeout_seconds": 123,
    "retry_count": 123,
    "approval_channel": "<string>",
    "approval_timeout_seconds": 123
  },
  "meta": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

workflow_uuid
string<uuid>
required

Body

application/json

Request body for PATCH /v1/workflows/{uuid}.

name
string | null
workflow_type
string | null
indicator_types
string[] | null
code
string | null
state
string | null
timeout_seconds
integer | null
retry_count
integer | null
is_active
boolean | null
tags
string[] | null
time_saved_minutes
integer | null
approval_mode
string | null
approval_channel
string | null
approval_timeout_seconds
integer | null
risk_level
string | null
documentation
string | null

Response

Successful Response

data
WorkflowResponse · object
required

Full response — includes code and approval config.

meta
Meta · object